ReferenceSitesSitesSiteidPagesPageid
Load a page's draft
Loading the API reference…
A practice API key or an OAuth access token, both presented as Authorization: Bearer <token>. The token itself names the practice, so no organization header is needed.
In: header
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$uuid^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$uuidapplication/json
application/json
application/json
curl -X GET "https://example.com/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/pages/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "page": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "page", "path": "string", "title": "string", "seo": { "description": "string", "ogImage": { "mediaId": "5a8ffac5-2288-485d-b463-90c3cd9941ad", "alt": "string" }, "noindex": true }, "draftRevision": 0, "hasUnpublishedChanges": true, "live": true, "url": "http://example.com", "variantOfPageId": "41bac51e-46ce-4435-9b47-a1ad8fe4a98a", "testRunning": true, "linkedCampaigns": 0, "updatedAt": "2019-08-24T14:15:22Z", "updatedByName": "string" }, "document": { "root": { "props": {} }, "content": [ { "type": "Hero", "props": { "id": "string", "tone": "plain", "layout": "split", "headline": "string", "subheadline": "string", "offer": { "text": "string", "confirmed": true }, "primaryCta": { "label": "string", "link": { "kind": "page", "pageId": "347b9bf8-fe00-46f6-b8ca-1e06b3bd5809" } }, "secondaryCta": { "label": "string", "link": { "kind": "page", "pageId": "347b9bf8-fe00-46f6-b8ca-1e06b3bd5809" } }, "image": { "mediaId": "5a8ffac5-2288-485d-b463-90c3cd9941ad", "alt": "string" }, "showRating": true } } ], "zones": {} }, "draftRevision": 0}